Thicken
Generate a solid object by thickening in the normal direction a surface object in 3D.
Syntax
model.component(<ctag>).geom(<tag>).feature().
    create(<ftag>,"Thicken");
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    selection(property);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    set(property,<value>);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    getType(property);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    setAttribute(attribute,<value>);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    getAttribute(attribute);
Description
model.component(<ctag>).geom(<tag>).feature().
      create(<ftag>,"Thicken")
creates a Thicken feature.
Use model.component(<ctag>).geom(<tag>).feature(<ftag>).
selection("input")
to select the objects for the thicken operation. The default selection is empty.
symmetric | asymmetric
normal | vector
on | off
on | off
all | obj | dom | bnd | edg | pnt | off
Show selections of resulting objects in physics, materials, and so on, or in part instances. obj is not available in a component’s geometry. dom, bnd, and edg are not available in all features.
on | off
For information about the createselection and contributeto properties, search the online help in COMSOL Multiphysics to locate and search all the documentation.
The following attributes are available:
Table 3-81: Valid attributes
on | off | inherit
Designate the resulting objects as construction geometry. Use inherit to set the construction geometry attribute only if all input objects are construction geometry.
Example
Create a cylinder by thickening a disc shaped surface:
Model model = ModelUtil.create("Model1");
model.component.create("comp1");
model.component("comp1").geom().create("geom1",3);
model.component("comp1").geom("geom1").geomRep("cadps");
model.component("comp1").geom("geom1").feature().
      create("wp1", "WorkPlane");
model.component("comp1").geom("geom1").feature("wp1").geom().
      create("c1", "Circle");
model.component("comp1").geom("geom1").create("thi1", "Thicken");
model.component("comp1").geom("geom1").feature("thi1").
      selection("input").set(new String[]{"wp1"});
model.component("comp1").geom("geom1").feature("thi1").
      set("totalthick", "0.1");
model.component("comp1").geom("geom1").feature("thi1").
      set("direction", "vector");
model.component("comp1").geom("geom1").feature("thi1").
      set("dirvector", new String[]{"1", "0", "1"});
model.component("comp1").geom("geom1").run();
See Also
Midsurface